; ===========================
; ZX Spectrum
; ===========================

; all keys can be overridden for a particular board using key.<boardtag>
; example:
;   priority = 0
;   priority.rpi4 = 3
; Complete sections may be overridden. In such cases, all key from the global section are ignored,
; you must redefine them all
; example
; [core.0]
; [core.0.rpi4]
; Board tags are defined by BR2_PACKAGE_RECALBOX_TARGET_<tag>

[system]
uuid = "c5e8f901-97e8-478f-a32f-61f49d071071"
name = "zxspectrum"
fullname = "ZXSpectrum"
theme.folder = "zxspectrum"
roms.folder = "%ROOT%/zxspectrum"
screenscraper.id = 76
doc.link.fr = "https://wiki.recalbox.com/fr/emulators/computers/zx-spectrum"
doc.link.en = "https://wiki.recalbox.com/en/emulators/computers/zx-spectrum"
doc.link.es = "https://wiki.recalbox.com/es/emulators/computers/zx-spectrum"
port = 0
readonly = 0
icon.unicode = $F251

[properties]
type = computer
device.pad = mandatory
device.keyboard = optional
device.mouse = no
device.lightgun = no
release.date = "1982-04"
manufacturer = "Sinclair"
retroachievements = 0
crt.multiresolution = 0
crt.multiregion = 0

[core.0]
package = BR2_PACKAGE_LIBRETRO_FUSE
priority = 1
emulator = "libretro"
core = "fuse"
extensions = ".csw .dsk .rzx .scl .slt .szx .tap .trd .tzx .z80 .zip .7z "
netplay = 0
softpatching = 0
compatibility = high
speed = high
crt.available = 1

[core.1]
package = BR2_PACKAGE_LIBRETRO_FBNEO
priority = 2
emulator = "libretro"
core = "fbneo"
extensions = ".zip .7z "
netplay = 0
softpatching = 0
compatibility = high
speed = high
